Update a pipeline stage
Early access: request API access for your workspace at https://bauhow.com/support before using this endpoint.
Renames a stage or sets its win probability (0–100) and critical threshold in days. Pass null to clear a value. Requires the key’s member to manage workspace settings.
PATCH
/v1/deal-stages/{id}Authorization
AuthorizationBearer token · headerrequiredWorkspace API key (`bh_…`).
Path parameters
idstringrequiredmin length 1
Request body
application/jsonnamestringmin length 1 · max length 80
probabilityinteger | anyShow propertiesHide properties
Any of:
integer
integerany
anystaleAfterDaysinteger | anyShow propertiesHide properties
Any of:
integer
integerany
anyResponses
200OK
idstringrequiredkeystringrequirednamestringrequiredsortOrderintegerrequiredmin -9007199254740991 · max 9007199254740991
archivedbooleanrequiredprobabilityinteger | anyrequiredShow propertiesHide properties
Any of:
integer
integerany
anystaleAfterDaysinteger | anyrequiredShow propertiesHide properties
Any of:
integer
integerany
anyRequest
curl -X PATCH "https://app.bauhow.com/api/v1/deal-stages/string" \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"name": "string",
"probability": 0,
"staleAfterDays": 0
}'const response = await fetch("https://app.bauhow.com/api/v1/deal-stages/string", {
method: "PATCH",
headers: {
"Authorization": "Bearer YOUR_TOKEN",
"Content-Type": "application/json"
},
body: JSON.stringify({
"name": "string",
"probability": 0,
"staleAfterDays": 0
})
});import requests
response = requests.patch(
"https://app.bauhow.com/api/v1/deal-stages/string",
headers={
"Authorization": "Bearer YOUR_TOKEN",
"Content-Type": "application/json"
},
json={
"name": "string",
"probability": 0,
"staleAfterDays": 0
},
)Response
{
"id": "string",
"key": "string",
"name": "string",
"sortOrder": 0,
"archived": true,
"probability": 0,
"staleAfterDays": 0
}